org.apache.clerezza.platform.config.gui
Class PlatformConfigGui

java.lang.Object
  extended by org.apache.clerezza.platform.config.gui.PlatformConfigGui
All Implemented Interfaces:
GlobalMenuItemsProvider

@Services(value={@Service(value=java.lang.Object.class),@Service(value=org.apache.clerezza.platform.dashboard.GlobalMenuItemsProvider.class)})
@Property(name="javax.ws.rs",
          boolValue=true)
public class PlatformConfigGui
extends java.lang.Object
implements GlobalMenuItemsProvider

Provides a GUI to change platform default values.

Author:
osr

Constructor Summary
PlatformConfigGui()
           
 
Method Summary
protected  void activate(org.osgi.service.component.ComponentContext context)
           
protected  void deactivate(org.osgi.service.component.ComponentContext context)
           
 org.apache.clerezza.rdf.utils.GraphNode getConfig()
          Returns a headed page listing RSS Feeds.
 java.util.Set<GlobalMenuItem> getMenuItems()
           
 org.wymiwyg.commons.util.dirbrowser.PathNode getStaticFile(java.lang.String path)
          Returns a PathNode of a static file from the staticweb folder.
 javax.ws.rs.core.Response setConfig(java.lang.String defaultBaseUri, javax.ws.rs.core.UriInfo uriInfo)
           
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

PlatformConfigGui

public PlatformConfigGui()
Method Detail

activate

protected void activate(org.osgi.service.component.ComponentContext context)
                 throws java.io.IOException,
                        java.net.URISyntaxException
Throws:
java.io.IOException
java.net.URISyntaxException

deactivate

protected void deactivate(org.osgi.service.component.ComponentContext context)

getConfig

public org.apache.clerezza.rdf.utils.GraphNode getConfig()
Returns a headed page listing RSS Feeds. The optional parameter query is a search term, which tests if the term is contained in thee title or uri of the feed.

Parameters:
query - an optional parameter which specifies a search term criteria. The search term will be tested if contained in the title or the uri of the feed.
Returns:
GraphNode

setConfig

public javax.ws.rs.core.Response setConfig(java.lang.String defaultBaseUri,
                                           @Context
                                           javax.ws.rs.core.UriInfo uriInfo)

getMenuItems

public java.util.Set<GlobalMenuItem> getMenuItems()
Specified by:
getMenuItems in interface GlobalMenuItemsProvider

getStaticFile

public org.wymiwyg.commons.util.dirbrowser.PathNode getStaticFile(java.lang.String path)
Returns a PathNode of a static file from the staticweb folder.

Parameters:
path - specifies the path parameter
Returns:
PathNode


Copyright © 2011. All Rights Reserved.